package websockets.handlers;

import io.undertow.websockets.core.AbstractReceiveListener;
import io.undertow.websockets.core.WebSocketChannel;

import java.util.ArrayList;

public class CuisineWebSocketReceiveHandler extends AbstractReceiveListener {

    private ArrayList <WebSocketChannel> fRegisteredChannels;

    protected CuisineWebSocketReceiveHandler()
    {
        super();
        fRegisteredChannels = new ArrayList<>();
    }

    public ArrayList <WebSocketChannel> getRegisteredChannels()
    {
        return fRegisteredChannels;
    }

    public void register(WebSocketChannel iChannel)
    {
        fRegisteredChannels.add(iChannel);
    }

    public void unregister(WebSocketChannel iChannel)
    {
        fRegisteredChannels.remove(iChannel);
    }
}
